Rights

Rights across the library

GET
/v1/rights

Scope: library:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/rights'
Example Response
{  "counts": {    "total": 101,    "active": 1,    "expiring_soon": 4,    "expired": 1,    "upcoming": 0,    "rights_unknown": 95,    "expiring_7d": 1  },  "rows": [    {      "id": "5f0d202e-2174-4447-9a45-a7b60cdcaea4",      "title": "Aces Go Places (1982)",      "type": "movie",      "catalog": "e2e-mrss",      "state": "rights_unknown",      "scopes": [],      "territories": [],      "end": null,      "windowState": null    },    {      "id": "ec8d00e1-3049-489d-add6-87e6af10bf71",      "title": "Aces Go Places II (1983)",      "type": "movie",      "catalog": "e2e-mrss",      "state": "rights_unknown",      "scopes": [],      "territories": [],      "end": null,      "windowState": null    }  ]}